Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#36 Bugfix when selecting Crypt in Warlock castle

Unstable_(example)
closed
SandySandy
None
1
2014-05-07
2014-05-06
Petar Petrov
No

This seems to be an issue in SVN r3195 an upper.

When playing as Warlock, and you build a Crypt and then Maze, you can no longer select Gargoyles from the Crypt. Clicking on the Crypt opens up the Maze instead.

This seems to happen because the click event is being resolved in the same loop that renders the buildings? From what I saw, the Maze has a higher priority as defined in CacheBuildings. This fix basically loops the building in reverse, the first time and resolves and click events. And then it loops once again for the other types of buildings. ....Perhaps not very effective but seems to solve the issues.

Related

Patches: #36

Discussion

  • Petar Petrov
    Petar Petrov
    2014-05-06

    Fix patch

     
    Attachments
    • SandySandy
      SandySandy
      2014-05-07

      thanks! svn fixed rev. 3196

      2014-05-07 4:59 GMT+09:00, Petar Petrov petarov@users.sf.net:

      Fix patch

      Attachment: fix_crypt_select.diff (2.0 kB; text/x-patch)


      [patches:#36] Bugfix when selecting Crypt in Warlock castle

      Status: open
      Group: Unstable_(example)
      Created: Tue May 06, 2014 07:58 PM UTC by Petar Petrov
      Last Updated: Tue May 06, 2014 07:58 PM UTC
      Owner: nobody

      This seems to be an issue in SVN r3195 an upper.

      When playing as Warlock, and you build a Crypt and then Maze, you can no
      longer select Gargoyles from the Crypt. Clicking on the Crypt opens up the
      Maze instead.

      This seems to happen because the click event is being resolved in the same
      loop that renders the buildings? From what I saw, the Maze has a higher
      priority as defined in CacheBuildings. This fix basically loops the
      building in reverse, the first time and resolves and click events. And then
      it loops once again for the other types of buildings. ....Perhaps not very
      effective but seems to solve the issues.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/fheroes2/patches/36/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #36

  • SandySandy
    SandySandy
    2014-05-07

    • status: open --> closed
    • assigned_to: SandySandy
     
  • SandySandy
    SandySandy
    2014-05-07

    fixed, rev. 3196